summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-05-20 09:53:23 +0200
committerRemi Collet <remi@php.net>2026-05-20 09:53:23 +0200
commit7e71124b7c7bf291bd4ab1b68b7c3774ca7d497b (patch)
tree725065ab4045fc79f75599811bd7bcb222c2db98
parentda7fdd8295923f80ee1aef70ada9ab9869cc41cd (diff)
update to 6.0.4HEADmaster
-rw-r--r--composer.json3
-rwxr-xr-xmakesrc.sh26
-rw-r--r--php-sebastian-type6.spec19
3 files changed, 21 insertions, 27 deletions
diff --git a/composer.json b/composer.json
index e5b966d..1144191 100644
--- a/composer.json
+++ b/composer.json
@@ -20,7 +20,7 @@
"php": ">=8.3"
},
"require-dev": {
- "phpunit/phpunit": "^12.0"
+ "phpunit/phpunit": "^12.5.25"
},
"config": {
"platform": {
@@ -40,6 +40,7 @@
],
"files": [
"tests/_fixture/callback_function.php",
+ "tests/_fixture/class_alias.php",
"tests/_fixture/functions_that_declare_return_types.php"
]
},
diff --git a/makesrc.sh b/makesrc.sh
index b959795..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/php-sebastian-type6.spec b/php-sebastian-type6.spec
index fa45ec4..c7b9ab4 100644
--- a/php-sebastian-type6.spec
+++ b/php-sebastian-type6.spec
@@ -1,6 +1,6 @@
# remirepo/fedora spec file for php-sebastian-type6
#
-# SPDX-FileCopyrightText: Copyright 2019-2025 Remi Collet
+# SPDX-FileCopyrightText: Copyright 2019-2026 Remi Collet
# SPDX-License-Identifier: CECILL-2.1
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
@@ -10,11 +10,8 @@
%bcond_without tests
# github
-%global gh_commit e549163b9760b8f71f191651d22acf32d56d6d4d
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project type
-%global gh_date 2025-08-09
# packagist
%global pk_vendor sebastian
%global pk_project %{gh_project}
@@ -25,14 +22,14 @@
%global ns_project Type
Name: php-%{pk_vendor}-%{pk_project}%{major}
-Version: 6.0.3
+Version: 6.0.4
Release: 1%{?dist}
Summary: Collection of value objects that represent the types of the PHP type system, v%{major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
BuildArch: noarch
@@ -41,8 +38,8 @@ BuildRequires: php(language) >= 8.3
BuildRequires: php-fedora-autoloader-devel >= 1.0.0
%if %{with tests}
# from composer.json, "require-dev": {
-# "phpunit/phpunit": "^12.0"
-BuildRequires: phpunit12
+# "phpunit/phpunit": "^12.5.25"
+BuildRequires: phpunit12 >= 12.5.25
%endif
# from composer.json, "require": {
@@ -64,7 +61,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%build
@@ -87,6 +84,7 @@ cat <<EOF | tee vendor/autoload.php
<?php
require_once 'tests/autoload.php';
require_once 'tests/_fixture/callback_function.php';
+require_once 'tests/_fixture/class_alias.php';
require_once 'tests/_fixture/functions_that_declare_return_types.php';
EOF
@@ -113,6 +111,9 @@ exit $ret
%changelog
+* Wed May 20 2026 Remi Collet <remi@remirepo.net> - 6.0.4-1
+- update to 6.0.4
+
* Sun Aug 10 2025 Remi Collet <remi@remirepo.net> - 6.0.3-1
- update to 6.0.3 (no change)